29Tools
Neu · MCP SuiteDeine Infrastruktur spricht jetzt mit KI-Agenten.

Claude, Codex & Co. verwalten DNS, Domains und Zertifikate direkt, inklusive DNS-Doktor-Diagnosen.

MCP Suite entdecken
DNS API-Referenz
v1.6.2
OpenAPI herunterladen
Get nameserver delegation
Returns the current nameserver delegation of the domain (mode standard, vanity, or external) together with the vanity nameserver sets available on the account.
GET
/domains/{domain}/nameservers
Domains

Authentifizierung

x-api-key

Parameter

Name
Typ
Format
Pflicht
Description
domain
path
string
-
Pflicht
Fully Qualified Domain Name.

Request-Beispiel

GET
curl --request GET \
  --url 'https://api.regfish.com/domains/www.example.com/nameservers' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
Current delegation and available vanity sets
application/jsonnameserversResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "domain": "example",
    "mode": "standard",
    "current": [
      "example"
    ],
    "vanity_set_id": 1,
    "vanity_sets": [
      {
        "id": 1,
        "host": "example",
        "nameservers": [
          null
        ]
      }
    ]
  }
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
Domain not found
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "Domain not found",
  "error": "Domain not found"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.